Bug 819394 - Quota limit-usage parameter does not accept numbers with decimal point
Quota limit-usage parameter does not accept numbers with decimal point
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
pre-release
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: vpshastry
: Triaged
Depends On:
Blocks: 848238
  Show dependency treegraph
 
Reported: 2012-05-07 02:09 EDT by shylesh
Modified: 2014-08-11 19:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848238 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:43:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-05-07 02:09:04 EDT
Description of problem:
Trying to limit quota usage with fractional number does not accepted.


Version-Release number of selected component (if applicable):
3.3.0qa39

How reproducible:
Always

Steps to Reproduce:
1. create a volume 
2. enable quota 
3. try to set limit-usage 

[root@gqac022 mnt]# gluster volume quota rep limit-usage / 1.5G
Please enter a correct value
Usage: volume quota <VOLNAME> <enable|disable|limit-usage|list|remove> [path] [value]

but a whole number will be accepted.
  
Actual results:


Expected results:


Additional info:
Comment 1 Saurabh 2012-05-10 05:15:17 EDT
This one is still failing on 3.3.0qa40
Comment 2 Vijay Bellur 2012-10-12 03:15:04 EDT
CHANGE: http://review.gluster.org/4068 (features/quota: Accept float numbers for quota limit.) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.